from django.http import HttpResponse
from .models import Post, Reply

# Create your views here.
def index(request):
    display_output = "<u><b>FORUM POSTS</u></b>:<br>"

    for post in Post.objects.all():
        display_output += f"<b>{post.post_title} by {post.author.first_name} {post.author.last_name}</b> dated {str(post.pub_date)}:\
                            <br>{post.post_body}"
        replies = Reply.objects.filter(post=post)
        for reply in replies:
            display_output += f"<br><b>Reply by {reply.author.first_name} {reply.author.last_name}</b> dated {reply.pub_date}:\
                            <br>{reply.reply_body}"
        
        display_output += "<br><br>"

    return HttpResponse(display_output)
            