from django.http import HttpResponse

from .models import WidgetUser

def index(request):
    display_output = "<u><b>WIDGET USERS</u></b>: <br>"

    for objects in WidgetUser.objects.all():
        display_output += '''
        <b>{last_name}, {first_name} {middle_name}</b>: {id}, {email}, {dept}, {home}<br>
        '''.format(last_name = objects.last_name,
            first_name = objects.first_name,
            middle_name = objects.middle_name,
            id = objects.id_num,
            email = objects.email,
            dept = objects.department.dept_name,
            home = objects.department.home_unit)

    return HttpResponse(display_output)
